## kdesvn 1.5.4

=== CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

PROJECT(kdesvn)
SET(PACKAGENAME "${CMAKE_PROJECT_NAME}")
IF (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
ELSE (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
    CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
ENDIF (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
SET(BASE_VERSION 1.5.4)

OPTION(BUILD_TESTS "Building the tests yes or no (default off)")

SET(TESTINGBUILD OFF CACHE BOOL "Enable/Disable special testing flags")
IF (TESTINGBUILD)
    IF (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
        ADD_DEFINITIONS("-DTESTING_RC=\"\\\"\${CMAKE_SOURCE_DIR}/src/kdesvnui.rc\\\"\" -DTESTING_PARTRC=\"\\\"\${CMAKE_SOURCE_DIR}/src/kdesvn_part.rc\\\"\"")
        ADD_DEFINITIONS("-DFORCE_ASKPASS=\"\\\"\${CMAKE_BINARY_DIR}/bin/kdesvnaskpass\\\"\"")
    ELSE (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
        ADD_DEFINITIONS(-DTESTING_RC=\"${CMAKE_SOURCE_DIR}/src/kdesvnui.rc\" -DTESTING_PARTRC=\"${CMAKE_SOURCE_DIR}/src/kdesvn_part.rc\")
        ADD_DEFINITIONS(-DFORCE_ASKPASS=\"${CMAKE_BINARY_DIR}/bin/kdesvnaskpass\")
    ENDIF (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
    ADD_DEFINITIONS(-DDEBUG_TIMER=1)
ENDIF (TESTINGBUILD)

IF(BUILD_TESTS)
  ENABLE_TESTING()
ENDIF(BUILD_TESTS)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmakemodules ${CMAKE_SOURCE_DIR}/src/svnqt/cmakemodules)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib${LIB_SUFFIX}/kde4)

MACRO(KDE_AUTOMOC)
 QT4_AUTOMOC(${ARGV})
ENDMACRO(KDE_AUTOMOC)

MACRO(KDE_ADD_UI_FILES)
 KDE4_ADD_UI_FILES(${ARGV})
ENDMACRO(KDE_ADD_UI_FILES)

MACRO(KDE_ADD_KCFG_FILES)
 KDE4_ADD_KCFG_FILES(${ARGV})
ENDMACRO(KDE_ADD_KCFG_FILES)

MACRO(KDE_ADD_KPART)
 kde4_add_plugin(${ARGV})
ENDMACRO(KDE_ADD_KPART)

MACRO(KDE_ADD_MOC_FILES)
 KDE4_MOC_HEADERS(${ARGV})
ENDMACRO(KDE_ADD_MOC_FILES)

MACRO(KDESVN_INSTALL_ICONS)
 kde4_install_icons( ${ICON_INSTALL_DIR}  )
ENDMACRO(KDESVN_INSTALL_ICONS)

MACRO(KDESVN_GENERATE_LIBTOOL_FILE _subdir _target)
 KDE4_INSTALL_LIBTOOL_FILE(${_subdir} ${_target})
ENDMACRO(KDESVN_GENERATE_LIBTOOL_FILE)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
${QT_QTDBUS_INCLUDE_DIR})

SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib${LIB_SUFFIX}/kde4)

INCLUDE(MacroEnsureVersion)
INCLUDE(FindSubversion)
INCLUDE(SetupCompiler)
INCLUDE(FindGettext)

IF (__KDE_HAVE_GCC_VISIBILITY)
    SET(HAVE_GCC_VISIBILITY On)
    SET(_KDESVN_EXPORT "__attribute__ ((visibility(\"default\")))")
    SET(_KDESVN_NOEXPORT "__attribute__ ((visibility(\"hidden\")))")
ENDIF (__KDE_HAVE_GCC_VISIBILITY)

# from http://www.kdedevelopers.org/node/3171 and http://kdesvn.alwins-world.de/ticket/595#comment:5
ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=9510)

INCLUDE_DIRECTORIES (
    BEFORE
    ${CMAKE_SOURCE_DIR}/src/svnqt
)

INCLUDE_DIRECTORIES (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/svnfrontend
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_BINARY_DIR}/src/svnfrontend
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDE_DIR}
    ${QT_INCLUDE_DIR}
    ${APR_INCLUDE_DIR}
    ${APU_INCLUDE_DIR}
    ${SUBVERSION_INCLUDE_DIR}
)

ADD_DEFINITIONS(${APR_CPP_FLAGS})

IF(CMAKE_BUILD_TYPE MATCHES Debug)
  # FindKde3 always make a "-O2" into it. That isn't nice.
  STRING(REGEX REPLACE "-O2 " "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
ENDIF(CMAKE_BUILD_TYPE MATCHES Debug)

#we requires exeptions!!!!
STRING(REGEX REPLACE "-fno-exceptions " "" CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS})

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
SET(_BASE_LDADD "-L${CMAKE_BINARY_DIR}/lib${LIB_SUFFIX}")

# current version
IF (DAILY_BUILD)
    EXECUTE_PROCESS(COMMAND "date" "+%Y%m%d" OUTPUT_VARIABLE BUILDDATE)
    STRING(REPLACE "\n" "" BUILDDATE ${BUILDDATE})
    SET(VERSION "${BASE_VERSION}.${BUILDDATE}")
    SET(KDESVN_VERSION "\"${BASE_VERSION}-${BUILDDATE}\"")
ELSE(DAILY_BUILD)
    SET(VERSION "$ENV{KDESVN_VERSION}")
    IF(NOT VERSION)
        SET(VERSION ${BASE_VERSION})
    ENDIF(NOT VERSION)
    SET(KDESVN_VERSION \"${VERSION}\")
ENDIF(DAILY_BUILD)

SET(svnqt-name svnqt)
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(doc)

CONFIGURE_FILE(kdesvn-config.h.in kdesvn-config.h @ONLY)
CONFIGURE_FILE(kdesvn.spec.in ${PROJECT_NAME}.spec @ONLY)
CONFIGURE_FILE(Helperstuff/BuildService/kdesvn.spec.in Helperstuff/BuildService/${PROJECT_NAME}.spec @ONLY)
CONFIGURE_FILE(Doxyfile.in Doxyfile @ONLY)
CONFIGURE_FILE(Doxyfile.svnqt.in Doxyfile.svnqt @ONLY)

SET(DIST_EXCLUDE "Helperstuff/pic_design")
CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmakemodules/makedist.sh.in"
    "${CMAKE_CURRENT_BINARY_DIR}/makedist.sh"
    IMMEDIATE
    @ONLY)

CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmakemodules/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

ADD_CUSTOM_TARGET(dist
    "${CMAKE_BINARY_DIR}/makedist.sh"
    DEPENDS doc
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

FILE(GLOB _POFILES po/*.po)
FOREACH(_p ${_POFILES})
  SET(POFILES "${_p} ${POFILES}")
ENDFOREACH(_p)

SET(MESSAGES_DIR ${CMAKE_SOURCE_DIR}/src)
CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmakemodules/package_messages.sh.in"
    "${CMAKE_CURRENT_BINARY_DIR}/package_messages.sh"
    IMMEDIATE
    @ONLY)
ADD_CUSTOM_TARGET(package-messages
    "${CMAKE_CURRENT_BINARY_DIR}/package_messages.sh")

ADD_CUSTOM_TARGET(apidox
    "doxygen" "${CMAKE_BINARY_DIR}/Doxyfile"
    DEPENDS "${CMAKE_BINARY_DIR}/Doxyfile")

=== src/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

KDE4_ADD_EXECUTABLE(kdesvnaskpass askpass/kdesvn-askpass.cpp)

SET(kdesvnsrc
    main.cpp
    kdesvn.cpp
    urldlg.cpp
    commandline.cpp
)

SET(partsrc
    kdesvn_events.cpp
    kdesvn_part.cpp
    kdesvnview.cpp
    commandline_part.cpp
)

KDE_AUTOMOC(${kdesvnsrc})
KDE_AUTOMOC(${partsrc})

SET(partsrc ${partsrc} kdesvn_part.h kdesvnview.h commandline_part.h)
SET(kdesvnsrc ${kdesvnsrc} kdesvn.h urldlg.h commandline.h)

ADD_SUBDIRECTORY(svnqt)
ADD_SUBDIRECTORY(ksvnwidgets)
ADD_SUBDIRECTORY(settings)
ADD_SUBDIRECTORY(svnfrontend)
ADD_SUBDIRECTORY(helpers)
ADD_SUBDIRECTORY(kdesvnd)
ADD_SUBDIRECTORY(kiosvn)
ADD_SUBDIRECTORY(pics)
ADD_SUBDIRECTORY(icons)

KDE4_ADD_EXECUTABLE(kdesvn ${kdesvnsrc})
KDE_ADD_KPART(kdesvnpart ${partsrc})

SET(QT_LIBRARIES "${QT_QTCORE_LIBRARY}" "${QT_QTGUI_LIBRARY}" )

TARGET_LINK_LIBRARIES(kdesvnpart svnfrontend kdesvnhelpers ksvnwidgets settingsdlgs kdesvncfgreader ${svnqt-name}
    ${QT_LIBRARIES}
    ${KDE4_KDECORE_LIBRARY}
    ${KDE4_KDEUI_LIBRARY}
    ${KDE4_KIO_LIBRARY}
    ${KDE4_KPARTS_LIBRARY}
    )
SET_TARGET_PROPERTIES(kdesvnpart
    PROPERTIES
    LINK_FLAGS "${_BASE_LDADD} ${APR_EXTRA_LDFLAGS} ${APU_EXTRA_LDFLAGS} ${LINK_NO_UNDEFINED}")

INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src/svnqt)

TARGET_LINK_LIBRARIES(kdesvnaskpass #${QT_QTCORE_LIBRARY} ${QT_AND_KDECORE_LIBS} ${KDE4_KDEUI_LIBRARY}
    ${QT_LIBRARIES} ${KDE4_KDECORE_LIBRARY} ${KDE4_KDEUI_LIBRARY}
)
TARGET_LINK_LIBRARIES(kdesvn #${QT_AND_KDECORE_LIBS}
    ${QT_LIBRARIES} ${KDE4_KDECORE_LIBRARY} ${KDE4_KDEUI_LIBRARY}
    ${KDE4_KPARTS_LIBRARY}
)

INSTALL(TARGETS kdesvn kdesvnaskpass kdesvnpart
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})

# the resources
INSTALL(FILES kdesvnui.rc DESTINATION ${DATA_INSTALL_DIR}/kdesvn)
INSTALL(FILES kdesvn_part.rc DESTINATION ${DATA_INSTALL_DIR}/kdesvnpart)
INSTALL(FILES kdesvn.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
INSTALL(FILES kdesvnpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR} )
INSTALL(FILES kdesvn.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdesvn)

=== src/svnfrontend/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src/svnfrontend/fronthelpers
                    ${CMAKE_BINARY_DIR}/src/svnqt
                    ${CMAKE_BINARY_DIR}/src/ksvnwidgets)

SET(svnfrontendsrc
    ccontextlistener.cpp
    commandexec.cpp
    copymoveview_impl.cpp
    createrepo_impl.cpp
    dummydisplay.cpp
    dumprepo_impl.cpp
    editproperty_impl.cpp
    fronthelpers/checkoutinfo_impl.cpp
    fronthelpers/checkoutinfo_impl.h
    fronthelpers/rangeinput_impl.cpp
    fronthelpers/rangeinput_impl.h
    fronthelpers/revisionbuttonimpl.cpp
    fronthelpers/revisionbuttonimpl.h
    fronthelpers/cursorstack.h
    fronthelpers/widgetblockstack.cpp
    fronthelpers/widgetblockstack.h
    fronthelpers/propertylist.cpp
    fronthelpers/propertylist.h
    fronthelpers/propertyitem.cpp
    fronthelpers/propertyitem.h
    fronthelpers/kmultilinedelegate.cpp
    fronthelpers/kmultilinedelegate.h
    fronthelpers/watchedprocess.cpp
    fronthelpers/watchedprocess.h
    fronthelpers/fronthelpers.h
    graphtree/drawparams.cpp
    graphtree/drawparams.h
    graphtree/elogentry.cpp
    graphtree/elogentry.h
    graphtree/graphtreelabel.cpp
    graphtree/graphtreelabel.h
    graphtree/pannerview.cpp
    graphtree/pannerview.h
    graphtree/revgraphview.cpp
    graphtree/revgraphview.h
    graphtree/revisiontree.cpp
    graphtree/revisiontree.h
    graphtree/revtreewidget.cpp
    graphtree/revtreewidget.h
    models/logitemmodel.cpp
    models/logitemmodel.h
    models/logmodelhelper.cpp
    models/logmodelhelper.h
    models/svnitemnode.cpp
    models/svnitemnode.h
    models/svnitemmodelfwd.h
    models/svnitemmodel.h
    models/svnitemmodel.cpp
    models/svnsortfilter.cpp
    models/svnsortfilter.h
    models/svndirsortfilter.cpp
    models/svndirsortfilter.h
    models/getinfothread.cpp
    models/getinfothread.h
    hotcopydlg_impl.cpp
    importdir_logmsg.cpp
    itemdisplay.cpp
    loaddmpdlg_impl.cpp
    mergedlg_impl.cpp
    modifiedthread.cpp
    opencontextmenu.cpp
    propertiesdlg.cpp
    stopdlg.cpp
    svnactions.cpp
    svnitem.cpp
    svnlogdlgimp.cpp
    tcontextlistener.cpp
    blamedisplay_impl.cpp
    threadcontextlistenerdata.cpp
    fillcachethread.cpp
    fillcachethread.h
    maintreewidget.h
    maintreewidget.cpp
    svntreeview.cpp
    svntreeview.h
    svnthread.cpp
    svnthread.h
    database/dboverview.cpp
    database/dboverview.h
    database/dbsettings.cpp
    database/dbsettings.h
    )

SET(svnfrontendui
    copymoveview.ui
    createrepo_dlg.ui
    dumprepo_dlg.ui
    editpropsdlg.ui
    fronthelpers/checkoutinfo.ui
    fronthelpers/rangeinput.ui
    fronthelpers/revisionbutton.ui
    hotcopydlg.ui
    loaddmpdlg.ui
    merge_dlg.ui
    blamedisplay.ui
    svnlogdlg.ui
    treeWidget.ui
    database/dboverview.ui
    database/dbsettings.ui
    )

FILE(GLOB hdr RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.h")

KDE_AUTOMOC(${svnfrontendsrc})
KDE_ADD_UI_FILES(frontend_ui_sources ${svnfrontendui})

ADD_LIBRARY(svnfrontend STATIC ${svnfrontendsrc} ${frontend_ui_sources} ${hdr})
SET_TARGET_PROPERTIES(svnfrontend
    PROPERTIES
    COMPILE_FLAGS ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})

ADD_DEPENDENCIES(svnfrontend ksvnwidgets)

=== debian/changelog ===
kdesvn (1.5.4-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
  * Merge with Debian Unstable, remaining change:
    - Keep the docbook FTBFS patch

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 21 Aug 2010 22:30:16 -0400

kdesvn (1.5.3-1ubuntu2) maverick; urgency=low

  * doc/nl/index.docbook:
    Bump doctype version to 4.2 (fixes FTBFS). 

 -- Michael Bienia <geser@ubuntu.com>  Mon, 09 Aug 2010 19:00:36 +0200

kdesvn (1.5.3-2) unstable; urgency=low

  * Install KDE 4 HTML documentation to /usr/share/doc/kde/HTML.
    Bump Build-Depends on pkg-kde-tools to (>= 0.9) so HTML_INSTALL_DIR is
    set correctly.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Jun 2010 23:54:04 +0200

kdesvn (1.5.3-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 May 2010 15:47:54 -0400

kdesvn (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Apr 2010 00:36:26 +0200

kdesvn (1.5.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 10 Apr 2010 07:59:36 -0400

kdesvn (1.5.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg "3.0 (quilt)" source format so we no longer need to
    repack the upstream tar.bz2 tarball.
  * Switch from cdbs to dh v7.
  * debian/control
    - Drop quilt from Build-Depends.
    - Drop cdbs from Build-Depends.
    - Bump Build-Depends on debhelper to (>= 7.3.16) and pkg-kde-tools to
      (>= 0.5) for the kde dh addon.
    - Bump Standards-Version to 3.8.4. No further changes.
  * debian/rules
    - Add override for dh_makeshlibs. Add -V for tight shlibs dependencies.
    - Add override for dh_strip. Add kdesvn-dbg debug package.
    - Add override for dh_compress. Exclude docbook files.

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Feb 2010 18:24:09 +0100

kdesvn (1.5.2-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- Andreas Wenning <awen@awen.dk>  Fri, 12 Feb 2010 23:57:51 +0100

kdesvn (1.5.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 17 Jan 2010 09:36:08 -0500

kdesvn (1.5.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes duplicate buttons in properties dialog. Closes: #551816
  * Review debian/copyright. Closes: #539931

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Jan 2010 01:22:18 +0100

kdesvn (1.5.0-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 12 Jan 2010 09:50:33 -0500

kdesvn (1.5.0-1) unstable; urgency=low

  * New upstream release.
    - Includes a fix for the French translation.
      Thanks to Filipus Klutiero for the patch. Closes: #554859
  * debian/docs
    - Drop README file, removed upstream.
  * debian/control
    - Fix a spelling error detected by lintian. Closes: #557490

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Jan 2010 23:06:37 +0100

kdesvn (1.4.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian Testing, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 11:37:53 -0500

kdesvn (1.4.1-0ubuntu1) karmic; urgency=low

  * New upstream release. (LP: #440894, #432407)

 -- Andreas Wenning <awen@awen.dk>  Fri, 02 Oct 2009 22:40:02 +0200

kdesvn (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3. Add README.source.
  * debian/copyright: Update copyright statement.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Oct 2009 23:39:59 +0200

kdesvn (1.4.0-1ubuntu2) karmic; urgency=low

  * Add replaces/conflicts on libqtsvn5 for libqtsvn6

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 Aug 2009 20:54:49 -0400

kdesvn (1.4.0-1ubuntu1) karmic; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 Aug 2009 19:37:57 -0400

kdesvn (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Soname bump of svnqt: libsvnqt5 → libsvnqt6.

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Aug 2009 21:51:11 +0200

kdesvn (1.4.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 01 Aug 2009 15:25:42 -0400

kdesvn (1.3.2-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: kdesvn Conflicts/Replaces on kdesvn-kde4 and
      kdesvn-kio-plugins Conflics/Replaces kdesvn-kio-plugins-kde4
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)
    Bug fixes:
    - Load last opened URL on start doesn't work (LP: #353864)

 -- Simon Olofsson <simon@olofsson.de>  Thu, 16 Jul 2009 22:07:49 +0200

kdesvn (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Standards-Version. No further changes.
  * debian/copyright
    - Smaller updates and corrections.
    - Refer to the versioned GPL-2 (kdesvn) and LGPL-2.1 (svnqt) files in
      /usr/share/common-licenses.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Jul 2009 15:51:04 +0200

kdesvn (1.3.1-1ubuntu1) karmic; urgency=low



=== debian/control ===
Source: kdesvn
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.4), kdelibs5-dev, libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, gettext, pkg-kde-tools (>= 0.9)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kdesvn/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kdesvn/trunk/
Homepage: http://kdesvn.alwins-world.de/

Package: libsvnqt6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt wrapper library for Subversion
 This package provides svnqt, a Qt wrapper library around the
 Subversion library.
 .
 It is based on the RapidSvn SvnCpp library, a Subversion client API
 written in C++.

Package: libsvnqt-dev
Section: libdevel
Architecture: any
Depends: libsvnqt6 (= ${binary:Version}), ${misc:Depends}, libqt4-dev, libsvn-dev
Conflicts: libsvnqt4-dev
Replaces: libsvnqt4-dev
Description: Qt wrapper library for Subversion (development files)
 This package contains the header files and symbolic links that developers
 using svnqt will need.

Package: kdesvn
Section: vcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdesvn-kio-plugins (= ${binary:Version})
Recommends: kompare, graphviz
Suggests: khelpcenter, kdiff3
Description: Subversion client with tight KDE integration
 KDESvn is a graphical client for the Subversion revision control
 system (svn).
 .
 Besides offering common and advanced svn operations, it features
 a tight integration into KDE and can be embedded into other KDE
 applications like konqueror via the KDE component technology KParts.

Package: kdesvn-kio-plugins
Section: vcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: kdesdk-misc (<< 4:3.5.0-1), kdesdk-kio-plugins (>= 4:4.0.0)
Replaces: kdesdk-kio-plugins (>= 4:4.0.0)
Description: Subversion I/O slaves for KDE
 This package includes KIO slaves for svn, svn+file, svn+http,
 svn+https, svn+ssh. This allows you to access Subversion repositories
 inside any KIO enabled KDE application.
 .
 This package is part of kdesvn.

Package: kdesvn-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdesvn (= ${binary:Version}) , libsvnqt6 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for kdesvn
 KDESvn is a graphical client for the Subversion revision control
 system (svn).
 .
 Besides offering common and advanced svn operations, it features
 a tight integration into KDE and can be embedded into other KDE
 applications like konqueror via the KDE component technology KParts.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_strip:
	dh_strip --dbg-package=kdesvn-dbg

override_dh_compress:
	dh_compress -X .docbook

## kdesvn 1.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 ELSE (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
     CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 ENDIF (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
-SET(BASE_VERSION 1.5.4)
+SET(BASE_VERSION 1.5.5)
 
 OPTION(BUILD_TESTS "Building the tests yes or no (default off)")

=== po/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

FILE(GLOB pofiles RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)

# disable unfinished/ancient translations
LIST(REMOVE_ITEM pofiles "nl.po")
LIST(REMOVE_ITEM pofiles "ru.po")

GETTEXT_CREATE_TRANSLATIONS("kdesvn.pot" "ALL" ${pofiles} )

=== src/svnqt/CMakeLists.txt ===
####
 #   Copyright (C) 2005-2009 by Rajko Albrecht  ral@alwins-world.de        #
 #   http://kdesvn.alwins-world.de/                                        #
 #                                                                         #
 #   This program is free software; you can redistribute it and/or modify  #
 #   it under the terms of the GNU General Public License as published by  #
 #   the Free Software Foundation; either version 2 of the License, or     #
 #   (at your option) any later version.                                   #
 #                                                                         #
 #   This program is distributed in the hope that it will be useful,       #
 #   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
 #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
 #   GNU General Public License for more details.                          #
 #                                                                         #
 #   You should have received a copy of the GNU General Public License     #
 #   along with this program; if not, write to the                         #
 #   Free Software Foundation, Inc.,                                       #
 #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
 ####

include (SvnqtMacros)

SET(SOURCES
    apr.cpp
    client_annotate.cpp
    client_cat.cpp
    client.cpp
    client_diff.cpp
    client_ls.cpp
    client_modify.cpp
    client_property.cpp
    client_status.cpp
    context.cpp
    datetime.cpp
    dirent.cpp
    entry.cpp
    exception.cpp
    log_entry.cpp
    path.cpp
    pool.cpp
    revision.cpp
    status.cpp
    targets.cpp
    url.cpp
    version_check.cpp
    wc.cpp
    lock_entry.cpp
    client_lock.cpp
    info_entry.cpp
    client_impl.cpp
    contextdata.cpp
    commititem.cpp
    repository.cpp
    repositorydata.cpp
    repositorylistener.cpp
    repoparameter.cpp
    svnstream.cpp
    diff_data.cpp
    svnfilestream.cpp
    stringarray.cpp
    diffoptions.cpp
    conflictdescription.cpp
    conflictresult.cpp
    client_merge.cpp
    cache/LogCache.cpp
    cache/ReposLog.cpp
    cache/DatabaseException.cpp
    cache/ReposConfig.cpp
    client_parameter.cpp
    client_commit_parameter.cpp
    client_annotate_parameter.cpp
    )

SET(CACHEINST_HEADERS
    cache/LogCache.h
    cache/ReposLog.h
    cache/DatabaseException.h
    cache/ReposConfig.h
    cache/DatabaseException.h
    cache/conversion_check.h
)

SET(INST_HEADERS
    annotate_line.h
    apr.h
    check.h
    client.h
    commititem.h
    context.h
    context_listener.h
    datetime.h
    dirent.h
    entry.h
    exception.h
    info_entry.h
    lock_entry.h
    log_entry.h
    path.h
    pool.h
    repository.h
    repositorylistener.h
    repoparameter.cpp
    revision.h
    smart_pointer.h
    shared_pointer.h
    status.h
    svnfilestream.h
    svnstream.h
    svnqttypes.h
    targets.h
    url.h
    version_check.h
    wc.h
    stringarray.h
    diffoptions.h
    conflictdescription.h
    conflictresult.h
    client_parameter.h
    repoparameter.h
    client_commit_parameter.h
    client_annotate_parameter.h
    )

FILE(GLOB svnhdr RELATIVE  ${CMAKE_CURRENT_SOURCE_DIR} "*.h")
SET(svnhdr ${svnhdr} ${CACHE_INST_HEADERS})

SET(QT_LIBRARIES "${QT_QTCORE_LIBRARY}")
MESSAGE(STATUS "Qt: ${QT_LIBRARIES}")
SET(TOUTF8 "toUtf8")
SET(FROMUTF8 "fromUtf8")
SET(QLIST "QList")
SET(TOASCII "toAscii")
SET(HOMEDIR "homePath")
IF(NOT svnqt-name)
SET(svnqt-name svnqt)
ENDIF(NOT svnqt-name)

SET(QDATABASE "QSqlDatabase")
SET(QLONG "qlonglong")

# must set from caller before - here no checks of compiler will done!
IF (HAVE_GCC_VISIBILITY)
    SET(_SVNQT_EXPORT "__attribute__ ((visibility(\"default\")))")
    SET(_SVNQT_NOEXPORT "__attribute__ ((visibility(\"hidden\")))")
ENDIF (HAVE_GCC_VISIBILITY)

IF (WIN32)
    SET(_SVNQT_EXPORT "__declspec(dllexport)")
ENDIF (WIN32)

IF (QT_LUPDATE_EXECUTABLE)
    MESSAGE(STATUS "Setting up language target")

    FILE(GLOB _LANGFILES lang/*.ts)
    FOREACH(_p ${_LANGFILES})
        SET(LANGFILES "-ts ${_p} ${LANGFILES}")
    ENDFOREACH(_p)
    CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmakemodules/update-language.sh.in"
    "${CMAKE_CURRENT_BINARY_DIR}/update-language.sh"
    IMMEDIATE
    @ONLY)
    ADD_CUSTOM_TARGET(svnqt_update_translation
        "${CMAKE_CURRENT_BINARY_DIR}/update-language.sh"
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        VERBATIM
    )
    ADD_SUBDIRECTORY(lang)
ENDIF (QT_LUPDATE_EXECUTABLE)

CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/svnqt_defines.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/svnqt_defines.h"
    IMMEDIATE
    @ONLY)

SET(INST_HEADERS ${INST_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/svnqt_defines.h)
INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(${svnqt-name} SHARED ${SOURCES} ${svnhdr})
IF(WIN32)
    ADD_DEFINITIONS(-D_USE_32BIT_TIME_T)
ELSE(WIN32)
    SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib${LIB_SUFFIX})
    SET_TARGET_PROPERTIES(${svnqt-name}
        PROPERTIES
        COMPILE_FLAGS ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})
ENDIF(WIN32)

SET(LIB_MAJOR 6)
SET(LIB_MINOR 0)
SET(LIB_RELEASE 3)

SET(_soversion ${LIB_MAJOR}.${LIB_MINOR}.${LIB_RELEASE})

SET_TARGET_PROPERTIES(${svnqt-name} PROPERTIES
    SOVERSION ${LIB_MAJOR}
    VERSION ${_soversion})

SET(ALL_LINKFLAGS ${APR_EXTRA_LIBFLAGS})
SET(ALL_LINKFLAGS "${ALL_LINKFLAGS} ${APU_EXTRA_LIBFLAGS}")

IF(WIN32 OR APPLE)
    SET_TARGET_PROPERTIES(${svnqt-name} PROPERTIES LINK_FLAGS "${ALL_LINKFLAGS} ${LINK_NO_UNDEFINED}")
ELSE(WIN32 OR APPLE)
    SET_TARGET_PROPERTIES(${svnqt-name} PROPERTIES LINK_FLAGS "-Wl,--as-needed ${ALL_LINKFLAGS} ${LINK_NO_UNDEFINED}")
ENDIF(WIN32 OR APPLE)

TARGET_LINK_LIBRARIES(${svnqt-name} ${QT_LIBRARIES} ${SUBVERSION_ALL_LIBS} ${QT_QTSQL_LIBRARY})

IF (WIN32)
    TARGET_LINK_LIBRARIES( ${svnqt-name} wsock32.lib  )
ENDIF (WIN32)

# Just a small linking test
IF (BUILD_TESTS)
    ADD_EXECUTABLE(testlink testmain.cpp)
    TARGET_LINK_LIBRARIES(testlink ${svnqt-name})
ENDIF (BUILD_TESTS)

# install rules
# in win32 we don't install it
IF(NOT WIN32)
    INSTALL(TARGETS ${svnqt-name} LIBRARY DESTINATION ${LIB_INSTALL_DIR}
            RUNTIME DESTINATION ${BIN_INSTALL_DIR}
            ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
    INSTALL(FILES ${INST_HEADERS} DESTINATION include/svnqt)
    INSTALL(FILES ${CACHEINST_HEADERS} DESTINATION include/svnqt/cache)
ENDIF(NOT WIN32)

IF (BUILD_TESTS)
  ADD_SUBDIRECTORY(tests)
  ADD_SUBDIRECTORY(cache/test)
ENDIF (BUILD_TESTS)

=== debian/changelog ===
kdesvn (1.5.5-3) unstable; urgency=low

  * debian/patches/doctype_version.patch
    - Bump DOCTYPE version to 4.2 to fix FTBFS with kdoctools 4.6.
      Patch taken from Kubuntu. Closes: #628325
  * Bump Standards-Version to 3.9.2. No further changes.
  * Build against newer apr-util to get rid of the libdb4.8 dependency.
    Closes: #621431

 -- Michael Biebl <biebl@debian.org>  Sat, 28 May 2011 17:21:39 +0200

kdesvn (1.5.5-2) unstable; urgency=low

  * Upload to unstable
  * Bump debhelper compatibility level to 8 and update the build dependency
    accordingly.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2011 20:19:18 +0100

kdesvn (1.5.5-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Oct 2010 18:04:49 +0200

kdesvn (1.5.4-2) unstable; urgency=low

  * debian/control
    - As the file conflict with kdesdk-kio-plugins is not transient we need to
      use Conflicts, not Breaks. So revert that change from 1.5.4-1.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Sep 2010 07:19:37 +0200

kdesvn (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.1.
    - Use Breaks instead of Conflicts as recommended by the new policy.
    - Drop old Conflicts against kdesdk-misc which is no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Aug 2010 22:14:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: kdesvn
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.4), kdelibs5-dev, libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, gettext, pkg-kde-tools (>= 0.9)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), cmake (>= 2.4), kdelibs5-dev, libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, gettext, pkg-kde-tools (>= 0.9)
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kdesvn/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kdesvn/trunk/
 Homepage: http://kdesvn.alwins-world.de/
@@ -25,8 +24,6 @@
 Section: libdevel
 Architecture: any
 Depends: libsvnqt6 (= ${binary:Version}), ${misc:Depends}, libqt4-dev, libsvn-dev
-Conflicts: libsvnqt4-dev
-Replaces: libsvnqt4-dev
 Description: Qt wrapper library for Subversion (development files)
  This package contains the header files and symbolic links that developers
  using svnqt will need.
@@ -49,7 +46,7 @@
 Section: vcs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: kdesdk-misc (<< 4:3.5.0-1), kdesdk-kio-plugins (>= 4:4.0.0)
+Conflicts: kdesdk-kio-plugins (>= 4:4.0.0)
 Replaces: kdesdk-kio-plugins (>= 4:4.0.0)
 Description: Subversion I/O slaves for KDE
  This package includes KIO slaves for svn, svn+file, svn+http,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --with kde $@
+	dh $@ --with-kde
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
